Subject: Re: [PATCH] t5601: exercise clones with "includeIf.*.onbranch"

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 22 Mar 2024 03:15:45 +0100

On Fri, Mar 22, 2024 at 03:01:25AM +0100, Patrick Steinhardt wrote:
> On Tue, Mar 12, 2024 at 01:38:26PM -0700, Junio C Hamano wrote:
> > Patrick Steinhardt <[email-masked]> writes:
[snip]
> With Git v2.44 this behaviour did indeed change, and arguably for the
> better. This is because we now pre-init "HEAD" to "refs/heads/.invalid"
> instead of using the default branch name. Thus, we do not match "master"
> anymore, which is likely the correct thing to do.

This is wrong by the way. I didn't mean to say Git v2.44, but the
upcoming Git v2.45 starting with 199f44cb2e (builtin/clone: allow remote
helpers to detect repo, 2024-02-27).

Patrick